<!-- HTML header for doxygen 1.9.8-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CPA: propriedade Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
<link href="../../doxygen-awesome.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only-darkmode-toggle.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../doxygen-awesome-darkmode-toggle.js"></script>
  <script type="text/javascript">
      DoxygenAwesomeDarkModeToggle.init()
  </script>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../Cubicverde.png"/></td>
  <td id="projectalign">
   <div id="projectname">CPA<span id="projectnumber">&#160;0.0.1</span>
   </div>
   <div id="projectbrief">Central de Parametrização do Autônomo</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/da6/classapplications_1_1param_1_1_param_models_1_1propriedade.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle"><div class="title">propriedade Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for propriedade:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/da6/classapplications_1_1param_1_1_param_models_1_1propriedade.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abdd362d5f799ad16b5d6700efe590290" id="r_abdd362d5f799ad16b5d6700efe590290"><td class="memItemLeft" align="right" valign="top"><a id="abdd362d5f799ad16b5d6700efe590290" name="abdd362d5f799ad16b5d6700efe590290"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self)</td></tr>
<tr class="separator:abdd362d5f799ad16b5d6700efe590290"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2af25195b07aad99c1260c0ea3373ca1" id="r_a2af25195b07aad99c1260c0ea3373ca1"><td class="memItemLeft" align="right" valign="top"><a id="a2af25195b07aad99c1260c0ea3373ca1" name="a2af25195b07aad99c1260c0ea3373ca1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>getter1</b> (self)</td></tr>
<tr class="separator:a2af25195b07aad99c1260c0ea3373ca1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a850d61c21aa8c97ccdd2c2fabbe0c263" id="r_a850d61c21aa8c97ccdd2c2fabbe0c263"><td class="memItemLeft" align="right" valign="top"><a id="a850d61c21aa8c97ccdd2c2fabbe0c263" name="a850d61c21aa8c97ccdd2c2fabbe0c263"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>setter1</b> (self, value)</td></tr>
<tr class="separator:a850d61c21aa8c97ccdd2c2fabbe0c263"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a6d53e758b11986e7610b4cc687b0a1ab" id="r_a6d53e758b11986e7610b4cc687b0a1ab"><td class="memItemLeft" align="right" valign="top"><a id="a6d53e758b11986e7610b4cc687b0a1ab" name="a6d53e758b11986e7610b4cc687b0a1ab"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>getter1</b></td></tr>
<tr class="separator:a6d53e758b11986e7610b4cc687b0a1ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1490b99596c219c7d3c7be1f7a84ce04" id="r_a1490b99596c219c7d3c7be1f7a84ce04"><td class="memItemLeft" align="right" valign="top"><a id="a1490b99596c219c7d3c7be1f7a84ce04" name="a1490b99596c219c7d3c7be1f7a84ce04"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>setter1</b></td></tr>
<tr class="separator:a1490b99596c219c7d3c7be1f7a84ce04"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a5f1f97bce4940e05fc20e6f5fbc35934" id="r_a5f1f97bce4940e05fc20e6f5fbc35934"><td class="memItemLeft" align="right" valign="top"><a id="a5f1f97bce4940e05fc20e6f5fbc35934" name="a5f1f97bce4940e05fc20e6f5fbc35934"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_value</b></td></tr>
<tr class="separator:a5f1f97bce4940e05fc20e6f5fbc35934"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-static-attribs" name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr class="memitem:a357604b7339dd26ec245b54c4eae229e" id="r_a357604b7339dd26ec245b54c4eae229e"><td class="memItemLeft" align="right" valign="top"><a id="a357604b7339dd26ec245b54c4eae229e" name="a357604b7339dd26ec245b54c4eae229e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>_value</b> = 0</td></tr>
<tr class="separator:a357604b7339dd26ec245b54c4eae229e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89d1595a67ca668c52b203f0231d451f" id="r_a89d1595a67ca668c52b203f0231d451f"><td class="memItemLeft" align="right" valign="top"><a id="a89d1595a67ca668c52b203f0231d451f" name="a89d1595a67ca668c52b203f0231d451f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_valueChanged</b> = Signal()</td></tr>
<tr class="separator:a89d1595a67ca668c52b203f0231d451f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>applications/param/<b>ParamModels.py</b></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>applications</b></li><li class="navelem"><b>param</b></li><li class="navelem"><b>ParamModels</b></li><li class="navelem"><a class="el" href="../../de/da6/classapplications_1_1param_1_1_param_models_1_1propriedade.html">propriedade</a></li>
    <li class="footer">Generated on Wed Dec 6 2023 13:24:22 for CPA by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8 </li>
  </ul>
</div>
</body>
</html>
